<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Add User</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>
<body>
<div class="container my-5">
    <h3> Add User</h3>
    <div class="card">
        <div class="card-body">
            <div class="col-md-10">

                <form action="#" th:action="@{/createUser}" th:object="${newUser}" method="post">
                    <div class="form-group col-md-8">
                        <label for="userName" class="col-form-label">Username</label>
                        <input type="text" th:field="*{userName}" class="form-control"
                            id="userName" placeholder="Username"/>
                    </div>
                    <div class="form-group col-md-8">
                        <label for="password" class="col-form-label">Password</label>
                        <input type="password" th:field="*{encrytedPassword}" class="form-control"
                               id="encrytedPassword" placeholder="Password"/>
                    </div>
                    <div class="dropdown">
                        <label for="role" class="col-form-label">Role</label>
                        <select th:field="*{role}">
                            <option th:value="'ROLE_DEAN'" th:text="ROLE_DEAN"></option>
                            <option th:value="'ROLE_DEPARTMENT'" th:text="ROLE_DEPARTMENT"></option>
                            <option th:value="'ROLE_ADMINISTRATION'" th:text="ROLE_ADMINISTRATION"></option>
                        </select>
                    </div>

                    <div class="col-md-6">
                        <input type="submit" class="btn btn-primary" value=" Submit ">
                    </div>
                </form>

            </div>
        </div>
    </div>
</div>
</body>
</html>